Package com.independentsoft.office.odf.styles

# Class DayOfWeek

java.lang.Object
com.independentsoft.office.odf.styles.DayOfWeek

public class DayOfWeek extends Object
Represents a day of a week in a date.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DayOfWeek()`
  Initializes a new instance of the DayOfWeek class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DayOfWeek`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getCalendar()`
  Gets the calendar system used to extract parts of a date.
  `DisplayFormat`
  `getDisplayFormat()`
  Gets the display format.
  `void`
  `setCalendar​(String calendar)`
  Sets the calendar system used to extract parts of a date.
  `void`
  `setDisplayFormat​(DisplayFormat format)`
  Sets the display format.
  `String`
  `toString()`
  Converts the value of the current DayOfWeek object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DayOfWeek

    public DayOfWeek()
    Initializes a new instance of the DayOfWeek class.

- ## Method Details

  - ### clone

    public DayOfWeek clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current DayOfWeek object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getDisplayFormat

    public DisplayFormat getDisplayFormat()
    Gets the display format.
    Returns:
      the display format

  - ### setDisplayFormat

    public void setDisplayFormat​(DisplayFormat format)
    Sets the display format.
    Parameters:
      `format` - the new display format

  - ### getCalendar

    public String getCalendar()
    Gets the calendar system used to extract parts of a date.
    Returns:
      the calendar

  - ### setCalendar

    public void setCalendar​(String calendar)
    Sets the calendar system used to extract parts of a date.
    Parameters:
      `calendar` - the new calendar